<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: ArgTableEntry_Lit Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classArgTableEntry__Lit-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">ArgTableEntry_Lit Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ArgTableEntry_Lit:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classArgTableEntry__Lit.png" usemap="#ArgTableEntry_5FLit_map" alt=""/>
  <map id="ArgTableEntry_5FLit_map" name="ArgTableEntry_5FLit_map">
<area href="classArgTableEntry__Generic.html" alt="ArgTableEntry_Generic" shape="rect" coords="0,0,146,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a733b3dc108af94d1b2e39b4585b95b33"><td class="memItemLeft" align="right" valign="top"><a id="a733b3dc108af94d1b2e39b4585b95b33"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getCount</b> ()</td></tr>
<tr class="separator:a733b3dc108af94d1b2e39b4585b95b33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7af0368ca8685e4dec15e21f70ae5ab7"><td class="memItemLeft" align="right" valign="top"><a id="a7af0368ca8685e4dec15e21f70ae5ab7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>ArgTableEntry_Lit</b> (std::string shortopts, std::string longopts, std::string glossary)</td></tr>
<tr class="separator:a7af0368ca8685e4dec15e21f70ae5ab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61047b1f00750eda147c8688e5b91a1e"><td class="memItemLeft" align="right" valign="top"><a id="a61047b1f00750eda147c8688e5b91a1e"></a>
void *&#160;</td><td class="memItemRight" valign="bottom"><b>getEntry</b> ()</td></tr>
<tr class="separator:a61047b1f00750eda147c8688e5b91a1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classArgTableEntry__Generic"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classArgTableEntry__Generic')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classArgTableEntry__Generic.html">ArgTableEntry_Generic</a></td></tr>
<tr class="memitem:aa81c07fe6f9a4fe6c86e8104a4099bf8 inherit pub_methods_classArgTableEntry__Generic"><td class="memItemLeft" align="right" valign="top"><a id="aa81c07fe6f9a4fe6c86e8104a4099bf8"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>hasValue</b> ()</td></tr>
<tr class="separator:aa81c07fe6f9a4fe6c86e8104a4099bf8 inherit pub_methods_classArgTableEntry__Generic"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_classArgTableEntry__Generic"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classArgTableEntry__Generic')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classArgTableEntry__Generic.html">ArgTableEntry_Generic</a></td></tr>
<tr class="memitem:a46a8577ba1a1b672321e192f667e68eb inherit pro_attribs_classArgTableEntry__Generic"><td class="memItemLeft" align="right" valign="top"><a id="a46a8577ba1a1b672321e192f667e68eb"></a>
ArgType_t&#160;</td><td class="memItemRight" valign="bottom"><b>m_type</b></td></tr>
<tr class="separator:a46a8577ba1a1b672321e192f667e68eb inherit pro_attribs_classArgTableEntry__Generic"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Console_8h_source.html">Console.h</a></li>
<li>Console.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
